1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Fatal Exception error

Discussion in 'Plesk 9.x for Linux Issues, Fixes, How-To' started by KonstantinosS, Apr 1, 2010.

  1. KonstantinosS

    KonstantinosS Basic Pleskian

    23
    40%
    Joined:
    Apr 1, 2010
    Messages:
    67
    Likes Received:
    2
    Location:
    Thessaloniki, GR
    The following error appears after a lovely openssl issue earlier tonight. I've managed to install 9.3.0 (from 9.2.3), but I can't access the panel at all and I can't receive any email. Any suggestions are welcome as this is a production server.

    ERROR: PleskFatalException
    StatInfo->getProductVersion failed: file_get_contents() failed: mktime() [<a href='function.mktime'>function.mktime</a>]: It is not safe to rely on the system's timezone settings. Please use the date.timezone setting, the TZ environment variable or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'America/New_York' for 'EDT/-4.0/DST' instead

    0: common_func.php3:108
    psaerror(string 'StatInfo->getProductVersion failed: file_get_contents() failed: mktime() [<a href='function.mktime'>function.mktime</a>]: It is not safe to rely on the system's timezone settings. Please use the date.timezone setting, the TZ environment variable or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'America/New_York' for 'EDT/-4.0/DST' instead')
    1: common_func.php3:66
    getProductLoginVersion()
    2: SP.php:101
    ssoGetSpName()
    3: SP.php:393
    SsoSpConfig->load()
    4: SP.php:215
    SsoSpConfig->__construct()
    5: SP.php:223
    SsoSpConfig::getInstance()
    6: SP.php:447
    SsoSpConfig()
    7: RelyingParty.php:19
    isSsoEnabled()
    8: auth.php3:195
     
  2. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,564
    Likes Received:
    1,243
    Location:
    Novosibirsk, Russia
    What about all threads about openssl problem? Did you tried to install provided patch?
     
  3. KonstantinosS

    KonstantinosS Basic Pleskian

    23
    40%
    Joined:
    Apr 1, 2010
    Messages:
    67
    Likes Received:
    2
    Location:
    Thessaloniki, GR
    yes, I've already installed the patch, but unfortunately I must've screwed up the system by doing a re-installation of plesk beforehand...

    I've had plesk 9.2.3 installed and then tried to install 9.3.0 which apparently led to this error. I can access the mysql apparently and plesk can be up and running (allegedly at least), but I can't access the 8443 port at all.
     
  4. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,564
    Likes Received:
    1,243
    Location:
    Novosibirsk, Russia
    Seems Plesk has been corrupted after uncompleted upgrade. Did you tried restart psa service there? What sort of errors after that? If you can't fix it by yourself I suggest you contact support team.
     
  5. KonstantinosS

    KonstantinosS Basic Pleskian

    23
    40%
    Joined:
    Apr 1, 2010
    Messages:
    67
    Likes Received:
    2
    Location:
    Thessaloniki, GR
    psa service starts without any problems, and restarts as well without any problems. The only problem lies within the plesk page itself. I know I have the rpms from both 9.2.3 and 9.3.0, so I can allegedly downgrade, but being a Debian user myself, I'm unaware of how rpm works and the server is in centos. Any chance this will help?

    To help more, I managed to bring mail, httpd and the rest up working within the first hour or so, but still, can't access the plesk page.
     
  6. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,564
    Likes Received:
    1,243
    Location:
    Novosibirsk, Russia
    It is very bad symptom that you have rpms from both versions. Not sure that such problems can be fixed in forum's format especially if you are not familiar with rpm. Help of support team is better solution in such case.
     
  7. KonstantinosS

    KonstantinosS Basic Pleskian

    23
    40%
    Joined:
    Apr 1, 2010
    Messages:
    67
    Likes Received:
    2
    Location:
    Thessaloniki, GR
    Well, to be frank, I didn't know it was bad, until you just told me. I haven't used RPMs since 2000 where I switched from Mandrake to Debian, thus I'm quite unfamiliar at the moment of how rpms install or uninstall. I can get the basic commands from google, if that's the issue, but still, the issue remains. Is there any chance I can routinely install plesk through yum? I know it will be much better for me, especially with the downgrade function of yum, but if it causes more issues than solves ones, I'll just have to manually do it.

    After a ticket to my host I was given the option to re-install the whole os instead of them practically installing and configuring plesk, which of course as you can understand, is out of the question, mostly because I don't know what to copy and where to copy exactly. I can get the DBs and website info, but emails, FTPs and other stuff I'm unaware where they actually are.
     
  8. KonstantinosS

    KonstantinosS Basic Pleskian

    23
    40%
    Joined:
    Apr 1, 2010
    Messages:
    67
    Likes Received:
    2
    Location:
    Thessaloniki, GR
    also if it helps, webmail is also out of the equation, but for some odd reason, plesk came up out of nowhere working without me trying anything... at the moment I'm using horde, tried switching to atmail, but both can't connect to the db... any chance I can fix them through plain old vi?
     
Loading...